BizKitHub
DocsAPI ReferenceProduct/bff/product/bundle-item-remove
postProductAdmin BFF

/bff/product/bundle-item-remove

Removes one component from a bundle. Removing the last component turns the product back into an ordinary product. Existing orders are not affected.

ProductpostBffProductBundle-item-remove

Parameters

JSON body

Request body

application/json
productCodestringRequired

Bundle product code.

componentCodestringRequired

Component product code.

componentVariantCodestringOptional

Component variant code, when pinned.

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/bundle-item-remove

post
curl -X POST "https://api.bizkithub.com/bff/product/bundle-item-remove" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "example_productCode",
  "componentCode": "example_componentCode",
  "componentVariantCode": "example_componentVariantCode"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key